Page MenuHomePhabricator

Make the user agent configurable for Wikidata Query Service Updater
Closed, ResolvedPublic

Description

Since wdqs-updater is used outside WMF, we should ensure that those external use cases can be identified more easily. At the moment, the user agent is hardcoded, it should be a configuration argument instead.

Note that this concern was surfaced during the investigation of T217893.

Details

Event Timeline

Gehel created this task.Mar 8 2019, 1:43 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 8 2019, 1:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Gehel updated the task description. (Show Details)Mar 8 2019, 1:43 PM
Base added a subscriber: Base.Mar 8 2019, 1:53 PM

Blazegraph accepts http.userAgent but looks like Updater does not. Probably makes sense to make it do the same.

Smalyshev triaged this task as Normal priority.Mar 9 2019, 12:51 AM

Change 495863 had a related patch set uploaded (by Gehel; owner: Gehel):
[wikidata/query/rdf@master] wdqs-updater: make user agent configurable from http.userAgent system property

https://gerrit.wikimedia.org/r/495863

Change 495863 merged by jenkins-bot:
[wikidata/query/rdf@master] wdqs-updater: make user agent configurable from http.userAgent system property

https://gerrit.wikimedia.org/r/495863

Addshore moved this task from incoming to monitoring on the Wikidata board.Mar 25 2019, 4:06 PM
Smalyshev closed this task as Resolved.Mar 26 2019, 5:19 PM